#ifndef QPROFUI_H
#define QPROFUI_H

#include "PlotConfig.h"
#if QT_VERSION < 0x040000
#include "PlotConfig2.h"
#else
#include "PlotConfig2_qt4.h"
#endif
#include "PathConfig.h"
#include "GuiConfig.h"
#include "MiscConfig.h"
#include <qobject.h>
#include "qt_version.h"
#include <qinputdialog.h>
#include "qprofile.h"

extern QFont defaultFont;

class PresetSelector : public QDialog
{
	Q_OBJECT
			
	public:
		PresetSelector(QWidget * parent);
		
		QString selectedPreset;
		
	public slots:
		
		void setSelected(const QString&);
		void okPressed();
		void cancelPressed();
};

class QProfileEditor : public QMainWindow
{
	Q_OBJECT
	
	public:
		
		QProfileEditor();
		
		void updateProfilesList();
		
		void setQpuiWidget(QpWindow * w);
	signals:
		
		void changedNames();
		
	public slots:
	
		void setSelectedProfile(int);
		
		void apply();
		void saveAs();
		void deletePreset();
		
	protected:
		
		QComboBox * profilesList;
		
		
		QPushButton * applyButton;
		QPushButton * saveAsButton;
		QPushButton * deleteButton;
		
		PlotConfig* plotWidget;
		PlotConfig2* plotWidget2;
		PathConfig* pathWidget;
		GuiConfig* guiWidget;
		MiscConfig* miscWidget;
};


#endif
